org.eclipse.gef.layout.algorithms

## Class TreeLayoutHelper.TreeNodeFactory

- java.lang.Object
- - org.eclipse.gef.layout.algorithms.TreeLayoutHelper.TreeNodeFactory

Enclosing class:
  TreeLayoutHelper

    public static class TreeLayoutHelper.TreeNodeFactory
    extends java.lang.Object

`TreeLayoutObserver` uses instance of this class to create instances of `TreeLayoutHelper.TreeNode`. It may be extended and passed to `TreeLayoutObserver`'s constructor in order to build a tree structure made of `TreeNode`'s subclasses.

### Constructor Summary

Constructors
Constructor and Description
`TreeNodeFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`TreeLayoutHelper.TreeNode` `createTreeNode(org.eclipse.gef.graph.Node nodeLayout, TreeLayoutHelper observer)` Creates a new `TreeLayoutHelper.TreeNode` for the given `Node` and `TreeLayoutHelper`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TreeNodeFactory

    public TreeNodeFactory()

### Method Detail

#### createTreeNode

    public TreeLayoutHelper.TreeNode createTreeNode(org.eclipse.gef.graph.Node nodeLayout,
                                                    TreeLayoutHelper observer)

Creates a new `TreeLayoutHelper.TreeNode` for the given `Node` and `TreeLayoutHelper`.

Parameters:
  `nodeLayout` - The `Node` that is wrapped.
  `observer` - The `TreeLayoutHelper` that initiated the creation.
Returns:
  The new `TreeLayoutHelper.TreeNode`.